Get settings

Contents

    Read the site settings.

    Requires the API Token and an Authentication Token. See Authentication.

    HTTP Request

    GET /api/settings

    Parameters

    Key Type Description
    token (required) string API Token.
    authentication (required) string User Authentication Token.

    Response

    HTTP Code: 200
    Content-Type: application/json
    Body:
    {
      "status": "0",
      "message": "Settings.",
      "data": {
        "title": "Welcome to Bludit",
        "slogan": "",
        "description": "",
        "language": "en",
        "locale": "en, en_US",
        "timezone": "UTC",
        "theme": "alternative",
        "homepage": "",
        "uriPage": "/",
        "uriBlog": "",
        "uriTag": "/tag/",
        "uriCategory": "/category/",
        "...": "..."
      }
    }

    data mirrors the full site configuration. The exact set of fields depends on the Bludit version and the active theme.

    Errors

    Code Reason
    401 Missing or invalid authentication token.

    CURL command example

    $ curl -X GET "https://www.example.com/api/settings?token=<api-token>&authentication=<auth-token>"